XDEC(1)

Name
Xdec - X server for Digital RISC machines

Syntax
Xdec [ options ]

Description

The command starts the X server. The command supports the following hardware configurations:
   DECstation 2100 Monochrome or Color Workstations
   DECstation 3100 Monochrome or Color Workstations
   DECstation 5000/100/200 CX or MX Single or Multiscreen Workstations

This server should run on reasonable one bit or eight bit Ultrix/RISC TURBOchannel displays of any resolution, if correct device driver support is present. The server queries the device driver interface to determine if a suitable display device is installed, and if so, configures the server appropriately.

The command that executes the server is specified together with its command line options in the file or using xdm(1) and, therefore, is automatically run when your system is started in multiuser mode. Optionally, you can create an file containing device-dependent command line options (separated by spaces) and use it to start the server. Command line options specified in the command starting the X server override those specified in the file.

Start the server in bug compatibility mode (with the bc option) to remain bug-for-bug compatible with previous releases of the server.

Options
In addition to the normal server options described in the Xserver(1) manual page, Xdec accepts the following device-dependent, vendor-specific options. When the server is run on multiscreen capable platforms, selected device-dependent options take an optional screen-specification argument. Omitting the screen-specification argument defines the parameter for all available screens.

-btn num
    Specifies the number of buttons on the pointer device. The default is three for a mouse device and four for a tablet device.

-bp[screen]  color
    Sets the color of black pixels for the screen. The color argument can be a named color from the database or a number sign (#) followed by a hexidecimal number.

-class[screen]  visual class
    Sets the visual class for the root window of the screen. Possible values are and

-dpi[screen]  num
    Sets the dots per inch for the x and y coordinates.

-dpix[screen]  num
    Sets the dots per inch for the x coordinates.

-dpiy[screen]  num
    Sets the dots per inch for the y coordinates.

By default on multiscreen systems, the server presumes the left hand most screen is screen zero, screen one to its right, screen two yet further to its right, and so on. The cursor will track from the right hand edge of screen zero to the left hand edge of screen one, from the right hand edge of screen one to the left hand edge of screen two. This arrangement can be modified in various ways, to support other physical arrangements of monitors.

-edge_bottomscr1 scr2
    Attaches the bottom edge of the screen specified by scr1 to the screen specified by scr2.

-edge_leftscr1 scr2
    Attaches the left edge of the screen specified by scr1 to the screen specified by scr2.

-edge_rightscr1 scr2
    Attaches the right edge of the screen specified by scr1 to the screen specified by scr2.

-edge_topscr1 scr2
    Attaches the top edge of the screen specified by scr1 to the screen specified by scr2.

-wp[screen]  color
    Sets the color of white pixels for the screen. The syntax for color is the same as for the argument to the -bp option.

-tb n
    Opens for graphics tablet communications.

-pcm n
    Opens for Protocol Control Module (PCM) communications. The two free serial ports on the DECstation correspond to and Dial boxes and button boxes must be connected through these two ports.

Restrictions
If options not listed in this reference page are used, the server may fail. Using invalid options for the X server in the file may cause the workstation to behave as if the X server is hung.

Multiscreen configurations can contain either two- or three-color frame buffer display devices or monochrome frame buffer display devices.

Color and monochrome frame buffer display devices can be installed in the same workstation, however applications built before X11 release 5 may become confused due to poor initial design of resource files.

To connect two screens, two command line options must be issued. Attaching two screens using only one argument produces a one-way mouse-travel path. You can create a wrap-around mouse path by attaching noncontiguous screen edges. The arguments are disabled on single screen systems.

Nonsensical screen connections are not allowed; the top edge of a particular screen must be connected with the bottom edge of another screen, and the right edge of a particular screen must be connected with the left edge of another screen. Left and right edges cannot be connected to top or bottom edges.

Examples
The following example specifies that screen has a resolution of 100x100 dots per inch and screen has a resolution of 75x70 dots per inch:
    Xdec -dpi0 100 -dpix1 75 -dpiy1 70

If no screen is specified, the value specified is used for all screens. If the screen resolution is not specified using command line options, a default value based on pixel dimensions and screen size is calculated for each screen.

The following example specifies that black pixels on screen have the hexadecimal value 3a009e005c0 prefixed with a number sign (#) and white pixels on screen are color "wheat" from the X rgb color database.
    Xdec -bp1 #3a009e005c0 -wp1 wheat
For monochrome display devices, values of 0 and 1 are the only valid pixel colors.

To specify the default visual class of a root window on a particular screen, append the screen number (0, 1, or 2) to the command line option. Possible visual classes are: StaticGray, StaticColor, PseudoColor, GrayScale, and TrueColor. The following example specifies that the screen root window is a TrueColor visual, and the screen root window is a PseudoColor visual.
    Xdec -class0 TrueColor -class1 PseudoColor

The following example attaches screen above screen and screen to the right of screen (an L-shaped configuration):
    Xdec -edge_top0 1 -edge_bottom1 0 -edge_right0 2 -edge_left2 0

The following example is identical to the default state (a horizontal line) with the addition of a wraparound from screen to screen
    Xdec -edge_left0 2 -edge_right0 1 -edge_left1 0 -edge_right1 2 \
    -edge_left2 1 -edge_right2 0

Files

See Also
X(1X), xdm(1), Xserver(1)
X Window System: The Complete Reference to Xlib, X Protocol, ICCCM, XLFD, by Robert W. Scheifler and James Gettys, Second Edition, Digital Press, 1990
"X Window System Toolkit: The Complete Programmer's Guide and Specification, by Paul J. Asente and Ralph R. Swick, Digital Press, 1990
OSF/MOTIF Programmer's Guide and OSF/MOTIF Reference Guide, Open Software Foundation, Prentice-Hall, 1990